Name: libcfile
Version: 20240106
Release: 1
Summary: Library to support cross-platform C file functions
Group: System Environment/Libraries
License: LGPL-3.0-or-later
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcfile
    
BuildRequires: gcc    

%description -n libcfile
Library to support cross-platform C file functions

%package -n libcfile-static
Summary: Library to support cross-platform C file functions
Group: Development/Libraries
Requires: libcfile = %{version}-%{release}

%description -n libcfile-static
Static library version of libcfile.

%package -n libcfile-devel
Summary: Header files and libraries for developing applications for libcfile
Group: Development/Libraries
Requires: libcfile = %{version}-%{release}

%description -n libcfile-devel
Header files and libraries for developing applications for libcfile.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcfile
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so.*

%files -n libcfile-static
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.a

%files -n libcfile-devel
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcfile.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Sat Jan  6 2024 Joachim Metz <joachim.metz@gmail.com> 20240106-1
- Auto-generated

